source $(dirname "${BASH_SOURCE[0]}")/utils.bash

# Find the location of a Java JVM
# Usage: getJVMPath [VERSION_NAME]
# If VERSION_NAME is given it specifies the name of the JRE or JDK to look for. e.g. "jdk1.8.0_45" or "jre1.8.0_51" etc
#  Otherwise, the most recent JDK or JRE is returned.
getJVMPath() {
    #local java=$(type -p java)
    #while newJava=$(readlink "$java"); do
    #    java="$newJava"
    #done
    # java = 
    #    mac:  /System/Library/Frameworks/JavaVM.framework/Versions/Current/Commands/java
    #    nix:  /usr/lib/jvm/java-8-oracle/jre/bin/java
    #    win:  C:\Program Files\Java\jre1.8.0_51\lib\rt.jar
    #echo $java
    
    local rtlib=$(java -showversion -verbose 2>&1 | head -1)
    rtlib="${rtlib#\[Opened\ }"
    rtlib="${rtlib%\]}"
    # rtlib =
    #    mac: /Library/Java/JavaVirtualMachines/jdk1.8.0_77.jdk/Contents/Home/jre/lib/rt.jar
    #    nix: /usr/lib/jvm/java-8-oracle/jre/lib/rt.jar
    #    win: C:\Program Files\Java\jre1.8.0_51\lib\rt.jar
    local lib="${rtlib%[\\/]lib[\\/]rt.jar}"
    # lib =
    #    mac: /Library/Java/JavaVirtualMachines/jdk1.8.0_77.jdk/Contents/Home/jre
    #    nix: /usr/lib/jvm/java-8-oracle/jre
    #    win: C:\Program Files\Java\jre1.8.0_51
    local default="${lib%/Contents/Home/*}" 
    # default = 
    #    mac: /Library/Java/JavaVirtualMachines/jdk1.8.0_77.jdk
    #    nix: /usr/lib/jvm/java-8-oracle/jre
    #    win: C:\Program Files\Java\jre1.8.0_51
    if [[ $1 ]]; then 
        local jvm="${default%[\\/]j[rd][ke]*}"
        #echo JVM="$jvm"
        # jvm = 
        #    mac: /Library/Java/JavaVirtualMachines
        #    nix: /usr/lib/jvm/java-8-oracle
        #    win: C:\Program Files\Java
        local found=( "$jvm"/"$1"* )
        local first="${found[0]}"
        [[ -d $first ]] && echo "$first"
    else
        echo "$default"
    fi
}
getJVMPath

getJVMPath jdk1.8

