# This script is not intended to be executed directly.  It is sourced by test-runner.sh and most functions you see here are defined in test-tools.sh
# The variables EXENAME, EXEBASE, OKDIR, and EXEDIR are defined externally.

beginTestBlock  # Begin a group of tests.
runMake -r @EXE  # run `make` for the main exe and any other listed programs

initTest 'general_test'
CONF="${TEST}_config.conf"

# Test dynalign with the general self-contained example given.
TEXT=\
'inseq1 = testFiles/testFile_RA1540.seq
inseq2 = testFiles/testFile_RL3280.seq
outct = @TEST_seq1.ct
outct2 = @TEST_seq2.ct
aout = @TEST_alignment.ali

#fgap is the per nucleotide insert penalty for alignments:
fgap = .4
#slope is the per nucleotide free energy penalty for inserted domains
slope = 0.1
#intercept is the initiation free energy penalty for inserted domains
intercept = 0.5
#maxtrace is the masximum number of predicted structures:
maxtrace = 750
#percent is the maximum % change in free energy from the lowest free energy structure
percent = 20
#bpwin is the base pair window
bpwin = 2
#awin is the alignment window
awin = 1
'

echo "${TEXT//'@TEST'/$TEST}" > "$CONF"
[[ $SMP ]] &&  echo "num_processors = 2" >> "$CONF"

runTest $EXENAME "$CONF"
runDiff @TEST_seq1.ct @OKBASE_seq1_OK.ct  'seq1'
runDiff @TEST_seq2.ct @OKBASE_seq2_OK.ct  'seq2'
runDiff @TEST_alignment.ali @OKBASE_alignment_OK.ali  'ali'
rm -f "$CONF"; endTest

endTestBlock # End a group of tests. Also cleans up orphaned files etc.
